/*
    Simple example of sending an OSC message using oscpack.
*/

#include "osc/OscOutboundPacketStream.h"
#include "ip/UdpSocket.h"


#define ADDRESS "5.13.202.100"
#define PORT 57120

#define OUTPUT_BUFFER_SIZE 1024

int main(int argc, char* argv[])
{
    UdpTransmitSocket transmitSocket( IpEndpointName( ADDRESS, PORT ) );

    char buffer[OUTPUT_BUFFER_SIZE];
    osc::OutboundPacketStream p( buffer, OUTPUT_BUFFER_SIZE );

	//p << osc::BeginMessage("/clear") << osc::EndMessage;
	p << osc::BeginMessage("/nodeMsg0") << 1.458 << osc::EndMessage;
    //p   << osc::BeginMessage( "/blah" ) << 10 << osc::EndMessage;

    transmitSocket.Send( p.Data(), p.Size() );
}

